/*
 * misc (unsorted) stuff that gets called from client/common code.
 * for historical reasons, many of the functions are only stubs 
 * to real functions elsewhere
 *
 * written by Cyrus Patel <cyp@fb14.uni-mainz.de>
 *
*/

#ifndef __CNW_CLIENT_MISC_H_
#define __CNW_CLIENT_MISC_H_ "@(#)$Id: nwcmisc.h,v 1.1.2.1 1999/11/14 20:42:57 cyp Exp $"

int nwCliGetPollingAllowedFlag(void);
int nwCliAreCrunchersRestartable(void);
int nwCliIsPreemptiveEnv( void );
int nwCliGetUtilizationSupressionFlag(void);

int nwCliIsSMPAvailable( void );
void nwCliThreadSwitchLowPriority( void );
int nwCliRebootThread(int threadindex, void (*gomt)(void *), void *arg);
int nwCliCreateThread(void (*gomt)(void *), void *thrparams);
int nwCliInitializeThread(int threadindex /* 0 is main */);


int nwCliInitClient( int argc, char **argv );
int nwCliExitClient( void );
void nwCliSignalHandler( int sig ); /* dummy */

unsigned long nwCliGetPollingProcedureResourceTag(void);
const char *nwCliGetNLMBaseName( void );
int nwCliIsNetworkAvailable( int dummy );
unsigned int nwCliGetNumberOfProcessors( void );

#endif /* __CNW_CLIENT_MISC_H_ */
